Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## java.sql
Class Date

Method Summary
`Date` | `clearTime()` Clears the time portion of this java.sql.Date instance; useful utility where it makes sense to compare month/day/year only portions of a Date.
`Date` | `minus(int days)` Subtract a number of days from this date and returns the new date.
`Date` | `next()` Increment a java.sql.Date by one day.
`Date` | `plus(int days)` Add a number of days to this date and returns the new date.
`Date` | `previous()` Decrement a java.sql.Date by one day.

Method Detail

### clearTime

    public Date clearTime()

  Clears the time portion of this java.sql.Date instance; useful utility where it makes sense to compare month/day/year only portions of a Date.

Returns:
  the java.sql.Date but with the time portion cleared

Since:
  1.6.7

### minus

    public Date minus(int days)

  Subtract a number of days from this date and returns the new date.

Parameters:
  `days` - the number of days to subtract.

Returns:
  the new date

Since:
  1.0

### next

    public Date next()

  Increment a java.sql.Date by one day.

Returns:
  the next days date

Since:
  1.0

### plus

    public Date plus(int days)

  Add a number of days to this date and returns the new date.

Parameters:
  `days` - the number of days to increase.

Returns:
  the new date

Since:
  1.0

### previous

    public Date previous()

  Decrement a java.sql.Date by one day.

Returns:
  the previous days date

Since:
  1.0

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK